using DevExpress.Persistent.Base;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace EntityFirst.Module.BusinessObjects
{
    [DefaultClassOptions]
    [TenantAware("company_id")]
    public class Employee
    {
        public Employee ThisObject
        {
            get { return this;  }
        }

        #region Constructor 
        public Employee()
        {
            Empl_work_dates = new List<Empl_work_dates>();
            EmployeeTransactions = new List<EmployeeTransactions>();
        }
        #endregion


        #region PrivateFields
        private string eGender;
        private Gender gender;
        #endregion


        #region NotMapedFields
        // Custom property to map enum to string in database
        public Gender Gender
        {
            get { return gender; }
            set
            {
                gender = value;
                empl_gender = value == Gender.Male ? "1" : "2"; 
            }
        }
        #endregion 


        #region BrowsableFields
        public string empl_c { get; set; }

        public string empl_surn { get; set; }

        public string empl_name { get; set; }

        public string empl_f_surn { get; set; }

        public string empl_f_name { get; set; }

        public string empl_m_surn { get; set; }

        public string empl_m_name { get; set; }

        public DateTime? empl_birth_d { get; set; }

        public string empl_tax_no { get; set; }
       
        public string empl_active { get; set; }
        #endregion 


        #region NavigationProperties
        public virtual ICollection<Empl_work_dates> Empl_work_dates { get; set; }

        public virtual ICollection<EmployeeTransactions> EmployeeTransactions { get; set; }

        //public virtual TaxAuthority TaxAuthority { get; set; }
        #endregion


        #region NotBrowsableFields
        [Browsable(false)]
        public string empl_gender
        {
            get
            {
                return eGender;
            }
            set
            {
                eGender = value;
                gender = value == "1" ? Gender.Male : Gender.Female;
            }
        }

        [Browsable(false)]
        public string empl_relat_c { get; set; }

        [Browsable(false)]
        public string empl_guardian { get; set; }

        [Browsable(false)]
        public string empl_smoker { get; set; }

        [Browsable(false)]
        public int empl_id { get; set; }

        [Browsable(false)]
        public decimal? country_id { get; set; }

        [Browsable(false)]
        public decimal? country_nat_id { get; set; }

        [Browsable(false)]
        public decimal? job_cat_id { get; set; }

        [Browsable(false)]
        public decimal? branch_id { get; set; }

        [Browsable(false)]
        public decimal? department_id { get; set; }

        [Browsable(false)]
        public decimal? job_pos_id { get; set; }

        [Browsable(false)]
        public decimal? ergo_id { get; set; }

        [Browsable(false)]
        public decimal tax_calc_t_id { get; set; }

        [Browsable(false)]
        public decimal? work_hour_id { get; set; }

        [Browsable(false)]
        public decimal? taxaut_id { get; set; }

        [Browsable(false)]
        public decimal? trans_form_id { get; set; }

        [Browsable(false)]
        public string empl_insur_93 { get; set; }

        [Browsable(false)]
        public string empl_epid2 { get; set; }

        [Browsable(false)]
        public string empl_eee { get; set; }

        [Browsable(false)]
        public string empl_spouse_sn { get; set; }

        [Browsable(false)]
        public string empl_spouse_n { get; set; }

        [Browsable(false)]
        public decimal? empl_child_no { get; set; }

        [Browsable(false)]
        public decimal? empl_child_tax { get; set; }

        [Browsable(false)]
        public decimal? empl_child_calc { get; set; }

        [Browsable(false)]
        public decimal? empl_child_dis { get; set; }

        [Browsable(false)]
        public string empl_disablem { get; set; }

        [Browsable(false)]
        public decimal? empl_ex_job_gen { get; set; }

        [Browsable(false)]
        public decimal? empl_ex_job_rel { get; set; }

        [Browsable(false)]
        public decimal? empl_ex_job_sse { get; set; }

        [Browsable(false)]
        public decimal? empl_calc_d_mon { get; set; }

        [Browsable(false)]
        public decimal? empl_calc_h_w { get; set; }

        [Browsable(false)]
        public decimal? empl_calc_synt_asf { get; set; }

        [Browsable(false)]
        public string empl_calc_tekm { get; set; }

        [Browsable(false)]
        public decimal? empl_calc_ove_v { get; set; }

        [Browsable(false)]
        public string empl_address { get; set; }

        [Browsable(false)]
        public string empl_address_no { get; set; }

        [Browsable(false)]
        public string empl_zip { get; set; }

        [Browsable(false)]
        public string empl_city { get; set; }

        [Browsable(false)]
        public string empl_city2 { get; set; }

        [Browsable(false)]
        public string empl_phone1 { get; set; }

        [Browsable(false)]
        public string empl_phone2 { get; set; }

        [Browsable(false)]
        public string empl_email { get; set; }

        [Browsable(false)]
        public string empl_bank_acc { get; set; }

        [Browsable(false)]
        public string empl_comments { get; set; }

        [Browsable(false)]
        public string empl_marital { get; set; }

        [Browsable(false)]
        public decimal empl_erg_katast { get; set; }

        [Browsable(false)]
        public decimal empl_kat_erg_katast { get; set; }

        [Browsable(false)]
        public string empl_ud_desc1 { get; set; }

        [Browsable(false)]
        public string empl_ud_desc2 { get; set; }

        [Browsable(false)]
        public string empl_ud_desc3 { get; set; }

        [Browsable(false)]
        public string empl_ud_desc4 { get; set; }

        [Browsable(false)]
        public string empl_ud_desc5 { get; set; }

        [Browsable(false)]
        public string empl_ud_desc6 { get; set; }

        [Browsable(false)]
        public string empl_ud_desc7 { get; set; }

        [Browsable(false)]
        public string empl_ud_desc8 { get; set; }

        [Browsable(false)]
        public string empl_ud_desc9 { get; set; }

        [Browsable(false)]
        public string empl_ud_desc10 { get; set; }

        [Browsable(false)]
        public string empl_ud_desc11 { get; set; }

        [Browsable(false)]
        public string empl_ud_desc12 { get; set; }

        [Browsable(false)]
        public string empl_ud_desc13 { get; set; }

        [Browsable(false)]
        public string empl_ud_desc14 { get; set; }

        [Browsable(false)]
        public string empl_ud_desc15 { get; set; }

        [Browsable(false)]
        public string empl_ud_desc16 { get; set; }

        [Browsable(false)]
        public string empl_ud_desc17 { get; set; }

        [Browsable(false)]
        public string empl_ud_desc18 { get; set; }

        [Browsable(false)]
        public string empl_ud_desc19 { get; set; }

        [Browsable(false)]
        public string empl_ud_desc20 { get; set; }

        [Browsable(false)]
        public string empl_ud_desc21 { get; set; }

        [Browsable(false)]
        public string empl_ud_desc22 { get; set; }

        [Browsable(false)]
        public string empl_ud_desc23 { get; set; }

        [Browsable(false)]
        public string empl_ud_desc24 { get; set; }

        [Browsable(false)]
        public string empl_ud_desc25 { get; set; }

        [Browsable(false)]
        public string empl_ud_desc26 { get; set; }

        [Browsable(false)]
        public string empl_ud_desc27 { get; set; }

        [Browsable(false)]
        public string empl_ud_desc28 { get; set; }

        [Browsable(false)]
        public string empl_ud_desc29 { get; set; }

        [Browsable(false)]
        public string empl_ud_desc30 { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_int1 { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_int2 { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_int3 { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_int4 { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_int5 { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_int6 { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_int7 { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_int8 { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_int9 { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_int10 { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_int11 { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_int12 { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_int13 { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_int14 { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_int15 { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_int16 { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_int17 { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_int18 { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_int19 { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_int20 { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_int21 { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_int22 { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_int23 { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_int24 { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_int25 { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_int26 { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_int27 { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_int28 { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_int29 { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_int30 { get; set; }

        [Browsable(false)]
        public DateTime? empl_ud_date1 { get; set; }

        [Browsable(false)]
        public DateTime? empl_ud_date2 { get; set; }

        [Browsable(false)]
        public DateTime? empl_ud_date3 { get; set; }

        [Browsable(false)]
        public DateTime? empl_ud_date4 { get; set; }

        [Browsable(false)]
        public DateTime? empl_ud_date5 { get; set; }

        [Browsable(false)]
        public DateTime? empl_ud_date6 { get; set; }

        [Browsable(false)]
        public DateTime? empl_ud_date7 { get; set; }

        [Browsable(false)]
        public DateTime? empl_ud_date8 { get; set; }

        [Browsable(false)]
        public DateTime? empl_ud_date9 { get; set; }

        [Browsable(false)]
        public DateTime? empl_ud_date10 { get; set; }

        [Browsable(false)]
        public DateTime? empl_ud_date11 { get; set; }

        [Browsable(false)]
        public DateTime? empl_ud_date12 { get; set; }

        [Browsable(false)]
        public DateTime? empl_ud_date13 { get; set; }

        [Browsable(false)]
        public DateTime? empl_ud_date14 { get; set; }

        [Browsable(false)]
        public DateTime? empl_ud_date15 { get; set; }

        [Browsable(false)]
        public DateTime? empl_ud_date16 { get; set; }

        [Browsable(false)]
        public DateTime? empl_ud_date17 { get; set; }

        [Browsable(false)]
        public DateTime? empl_ud_date18 { get; set; }

        [Browsable(false)]
        public DateTime? empl_ud_date19 { get; set; }

        [Browsable(false)]
        public DateTime? empl_ud_date20 { get; set; }

        [Browsable(false)]
        public DateTime? empl_ud_date21 { get; set; }

        [Browsable(false)]
        public DateTime? empl_ud_date22 { get; set; }

        [Browsable(false)]
        public DateTime? empl_ud_date23 { get; set; }

        [Browsable(false)]
        public DateTime? empl_ud_date24 { get; set; }

        [Browsable(false)]
        public DateTime? empl_ud_date25 { get; set; }

        [Browsable(false)]
        public DateTime? empl_ud_date26 { get; set; }

        [Browsable(false)]
        public DateTime? empl_ud_date27 { get; set; }

        [Browsable(false)]
        public DateTime? empl_ud_date28 { get; set; }

        [Browsable(false)]
        public DateTime? empl_ud_date29 { get; set; }

        [Browsable(false)]
        public DateTime? empl_ud_date30 { get; set; }

        [Browsable(false)]
        public string empl_ud_bl1 { get; set; }

        [Browsable(false)]
        public string empl_ud_bl2 { get; set; }

        [Browsable(false)]
        public string empl_ud_bl3 { get; set; }

        [Browsable(false)]
        public string empl_ud_bl4 { get; set; }

        [Browsable(false)]
        public string empl_ud_bl5 { get; set; }

        [Browsable(false)]
        public string empl_ud_bl6 { get; set; }

        [Browsable(false)]
        public string empl_ud_bl7 { get; set; }

        [Browsable(false)]
        public string empl_ud_bl8 { get; set; }

        [Browsable(false)]
        public string empl_ud_bl9 { get; set; }

        [Browsable(false)]
        public string empl_ud_bl10 { get; set; }

        [Browsable(false)]
        public string empl_ud_bl11 { get; set; }

        [Browsable(false)]
        public string empl_ud_bl12 { get; set; }

        [Browsable(false)]
        public string empl_ud_bl13 { get; set; }

        [Browsable(false)]
        public string empl_ud_bl14 { get; set; }

        [Browsable(false)]
        public string empl_ud_bl15 { get; set; }

        [Browsable(false)]
        public string empl_ud_bl16 { get; set; }

        [Browsable(false)]
        public string empl_ud_bl17 { get; set; }

        [Browsable(false)]
        public string empl_ud_bl18 { get; set; }

        [Browsable(false)]
        public string empl_ud_bl19 { get; set; }

        [Browsable(false)]
        public string empl_ud_bl20 { get; set; }

        [Browsable(false)]
        public string empl_ud_bl21 { get; set; }

        [Browsable(false)]
        public string empl_ud_bl22 { get; set; }

        [Browsable(false)]
        public string empl_ud_bl23 { get; set; }

        [Browsable(false)]
        public string empl_ud_bl24 { get; set; }

        [Browsable(false)]
        public string empl_ud_bl25 { get; set; }

        [Browsable(false)]
        public string empl_ud_bl26 { get; set; }

        [Browsable(false)]
        public string empl_ud_bl27 { get; set; }

        [Browsable(false)]
        public string empl_ud_bl28 { get; set; }

        [Browsable(false)]
        public string empl_ud_bl29 { get; set; }

        [Browsable(false)]
        public string empl_ud_bl30 { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_tab01_id { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_tab02_id { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_tab03_id { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_tab04_id { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_tab05_id { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_tab06_id { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_tab07_id { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_tab08_id { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_tab09_id { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_tab10_id { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_tab11_id { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_tab12_id { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_tab13_id { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_tab14_id { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_tab15_id { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_tab16_id { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_tab17_id { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_tab18_id { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_tab19_id { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_tab20_id { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_tab21_id { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_tab22_id { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_tab23_id { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_tab24_id { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_tab25_id { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_tab26_id { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_tab27_id { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_tab28_id { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_tab29_id { get; set; }

        [Browsable(false)]
        public decimal? empl_ud_tab30_id { get; set; }

        [Browsable(false)]
        public decimal? empl_calc_asf_plafon { get; set; }

        [Browsable(false)]
        public decimal? empl_calc_ores_w_sse { get; set; }

        [Browsable(false)]
        public decimal? empl_amka { get; set; }

        [Browsable(false)]
        public decimal? empl_parart { get; set; }

        [Browsable(false)]
        public string empl_plhres_or { get; set; }

        [Browsable(false)]
        public string empl_oles_ergas { get; set; }

        [Browsable(false)]
        public string empl_kad { get; set; }

        [Browsable(false)]
        public string empl_cod_eid1 { get; set; }

        [Browsable(false)]
        public string empl_pak_kal1 { get; set; }

        [Browsable(false)]
        public string empl_cod_eid2 { get; set; }

        [Browsable(false)]
        public string empl_pak_kal2 { get; set; }

        [Browsable(false)]
        public decimal? empl_eid_peript_asf { get; set; }

        [Browsable(false)]
        public string empl_tayt { get; set; }

        [Browsable(false)]
        public string empl_kart_oaed { get; set; }

        [Browsable(false)]
        public string empl_kart_alod { get; set; }

        [Browsable(false)]
        public string empl_bibl_anhl { get; set; }

        [Browsable(false)]
        public string empl_eidikothta { get; set; }

        [Browsable(false)]
        public decimal? empl_ar_trieties { get; set; }

        [Browsable(false)]
        public decimal? ypok_ika_id { get; set; }

        [Browsable(false)]
        public decimal? empl_fash_erg { get; set; }

        [Browsable(false)]
        public decimal? fash_oikodom_id { get; set; }

        [Browsable(false)]
        public string empl_gl_plhr { get; set; }

        [Browsable(false)]
        public string empl_gl_prok { get; set; }

        [Browsable(false)]
        public string empl_gl_dan { get; set; }

        [Browsable(false)]
        public string empl_adeia_alod { get; set; }

        [Browsable(false)]
        public decimal? empl_gen_educ { get; set; }

        [Browsable(false)]
        public decimal? empl_techn_educ { get; set; }

        [Browsable(false)]
        public string empl_first_misthotos { get; set; }

        [Browsable(false)]
        public string empl_merik_apasx { get; set; }

        [Browsable(false)]
        public string empl_foreign_country { get; set; }

        [Browsable(false)]
        public string empl_foreign_name { get; set; }

        [Browsable(false)]
        public decimal? empl_prostheta_pros { get; set; }

        [Browsable(false)]
        public string empl_prostheta_allo { get; set; }

        [Browsable(false)]
        public string empl_progr_oaed { get; set; }

        [Browsable(false)]
        public string empl_progr_oaed_kind { get; set; }

        [Browsable(false)]
        public string empl_epid_anerg { get; set; }

        [Browsable(false)]
        public string empl_epid_anerg_yp { get; set; }

        [Browsable(false)]
        public string empl_prosaux_doron { get; set; }

        [Browsable(false)]
        public string empl_pragmat_hmeromisth { get; set; }

        [Browsable(false)]
        public decimal? empl_ores_hmer { get; set; }

        [Browsable(false)]
        public decimal? empl_ypol_plh { get; set; }

        [Browsable(false)]
        public decimal? empl_merik_apasx3 { get; set; }

        [Browsable(false)]
        public decimal? empl_calc_d_w { get; set; }

        [Browsable(false)]
        public decimal? eidik_kathg_ergaz { get; set; }

        [Browsable(false)]
        public decimal? empl_mk { get; set; }

        [Browsable(false)]
        public decimal? empl_eth_proyp { get; set; }

        [Browsable(false)]
        public decimal? empl_mhnes_proyp { get; set; }

        [Browsable(false)]
        public decimal? empl_hmer_proyp { get; set; }

        [Browsable(false)]
        public decimal? empl_hmer_adeia { get; set; }

        [Browsable(false)]
        public decimal? empl_old_receive_adeia { get; set; }

        [Browsable(false)]
        public string empl_paramethorio { get; set; }

        [Browsable(false)]
        public decimal? empl_child_enil1 { get; set; }

        [Browsable(false)]
        public decimal? empl_child_enil2 { get; set; }

        [Browsable(false)]
        public decimal? empl_child_enil3 { get; set; }

        [Browsable(false)]
        public decimal? empl_child_enil4 { get; set; }

        [Browsable(false)]
        public decimal? empl_child_enil5 { get; set; }

        [Browsable(false)]
        public decimal? empl_child_enil6 { get; set; }

        [Browsable(false)]
        public decimal? empl_child_enil7 { get; set; }

        [Browsable(false)]
        public decimal? empl_child_enil8 { get; set; }

        [Browsable(false)]
        public decimal? empl_child_enil9 { get; set; }

        [Browsable(false)]
        public decimal? empl_child_enil10 { get; set; }

        [Browsable(false)]
        public decimal? empl_mikr_tan_sxesh { get; set; }

        [Browsable(false)]
        public DateTime? empl_date_ekd_at { get; set; }

        [Browsable(false)]
        public string empl_ekd_arxh { get; set; }

        [Browsable(false)]
        public decimal? empl_dhmosio_dpdxea { get; set; }

        [Browsable(false)]
        public decimal? empl_mikr_tam_sxesh { get; set; }

        [Browsable(false)]
        public decimal? oaed_progr { get; set; }

        [Browsable(false)]
        public decimal? progr_oaed_id { get; set; }

        [Browsable(false)]
        public decimal? empl_antikat_id { get; set; }

        [Browsable(false)]
        public string oaed_class { get; set; }

        [Browsable(false)]
        public string oaed_department { get; set; }

        [Browsable(false)]
        public DateTime? empl_date_orkom { get; set; }

        [Browsable(false)]
        public decimal? empl_eth_proyp_synt { get; set; }

        [Browsable(false)]
        public decimal? empl_mhnes_proyp_synt { get; set; }

        [Browsable(false)]
        public decimal? empl_hmer_proyp_synt { get; set; }

        [Browsable(false)]
        public decimal? bank_id { get; set; }

        [Browsable(false)]
        public string empl_merik_apasx_sse { get; set; }

        [Browsable(false)]
        public decimal? empl_eth_proyp_strat { get; set; }

        [Browsable(false)]
        public decimal? empl_mhnes_proyp_strat { get; set; }

        [Browsable(false)]
        public decimal? empl_hmer_proyp_strat { get; set; }

        [Browsable(false)]
        public decimal? empl_eth_proyp_epan { get; set; }

        [Browsable(false)]
        public decimal? empl_mhnes_proyp_epan { get; set; }

        [Browsable(false)]
        public decimal? empl_hmer_proyp_epan { get; set; }

        [Browsable(false)]
        public decimal? pol_par_id { get; set; }

        [Browsable(false)]
        public string empl_cod_eid3 { get; set; }

        [Browsable(false)]
        public string empl_pak_kal3 { get; set; }

        [Browsable(false)]
        public decimal? empl_eth_prooth { get; set; }

        [Browsable(false)]
        public decimal? empl_mhnes_prooth { get; set; }

        [Browsable(false)]
        public decimal? empl_hmer_prooth { get; set; }

        [Browsable(false)]
        public string empl_karta_eisod { get; set; }

        [Browsable(false)]
        public DateTime? empl_hmer_is { get; set; }

        [Browsable(false)]
        public DateTime? empl_hmer_is_synt { get; set; }

        [Browsable(false)]
        public DateTime? empl_hmer_is_epan { get; set; }

        [Browsable(false)]
        public DateTime? empl_hmer_is_prooth { get; set; }

        [Browsable(false)]
        public DateTime? empl_hmer_is_strat { get; set; }

        [Browsable(false)]
        public decimal? empl_ar_ens { get; set; }

        [Browsable(false)]
        public decimal? group_sft_id { get; set; }

        [Browsable(false)]
        public string empl_xml_type { get; set; }

        [Browsable(false)]
        public string empl_iban { get; set; }

        [Browsable(false)]
        public string empl_policeidothertype { get; set; }

        [Browsable(false)]
        public string empl_rank { get; set; }

        [Browsable(false)]
        public string empl_employeecategory { get; set; }

        [Browsable(false)]
        public string empl_contracttype { get; set; }

        [Browsable(false)]
        public decimal? empl_dpdxea_n3845 { get; set; }

        [Browsable(false)]
        public string empl_eidik_peript_for { get; set; }

        [Browsable(false)]
        public string empl_eidik_eisf_eksair { get; set; }

        [Browsable(false)]
        public decimal? empl_eidik_eisf_perc { get; set; }

        [Browsable(false)]
        public decimal? ergaz_sxesh_etaa { get; set; }

        [Browsable(false)]
        public decimal? eidik_kathg_etaa { get; set; }

        [Browsable(false)]
        public decimal? epist_ypeyth_etaa { get; set; }

        [Browsable(false)]
        public decimal? foreas_etaa { get; set; }

        [Browsable(false)]
        public string companyname_etaa { get; set; }

        [Browsable(false)]
        public string afm_etaa { get; set; }

        [Browsable(false)]
        public string salary_deduction { get; set; }

        [Browsable(false)]
        public DateTime? empl_term_adeia_alod { get; set; }

        [Browsable(false)]
        public string empl_kad2 { get; set; }

        [Browsable(false)]
        public string empl_kad3 { get; set; }

        [Browsable(false)]
        public DateTime? empl_last_date_of_sse_update { get; set; }

        [Browsable(false)]
        public string empl_autasfal { get; set; }

        [Browsable(false)]
        public string empl_comments_entyp { get; set; }

        [Browsable(false)]
        public string empl_merik_apasx_insur_days { get; set; }

        [Browsable(false)]
        public decimal company_id { get; set; }
        #endregion 
    }

    public enum Gender
    {
        Male,
        Female
    }
}
